#include <glib-object.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

/**
 * McSvcAccountManagerInterfaceSSO:
 *
 * Dummy typedef representing any implementation of this interface.
 */
typedef struct _McSvcAccountManagerInterfaceSSO McSvcAccountManagerInterfaceSSO;

/**
 * McSvcAccountManagerInterfaceSSOClass:
 *
 * The class of McSvcAccountManagerInterfaceSSO.
 */
typedef struct _McSvcAccountManagerInterfaceSSOClass McSvcAccountManagerInterfaceSSOClass;

GType mc_svc_account_manager_interface_sso_get_type (void);
#define MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_SSO \
  (mc_svc_account_manager_interface_sso_get_type ())
#define MC_SVC_ACCOUNT_MANAGER_INTERFACE_SSO(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_SSO, McSvcAccountManagerInterfaceSSO))
#define MC_IS_SVC_ACCOUNT_MANAGER_INTERFACE_SSO(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_SSO))
#define MC_SVC_ACCOUNT_MANAGER_INTERFACE_SSO_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_INTERFACE((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_SSO, McSvcAccountManagerInterfaceSSOClass))


typedef void (*mc_svc_account_manager_interface_sso_get_service_accounts_impl) (McSvcAccountManagerInterfaceSSO *self,
    const gchar *in_Service,
    DBusGMethodInvocation *context);
void mc_svc_account_manager_interface_sso_implement_get_service_accounts (McSvcAccountManagerInterfaceSSOClass *klass, mc_svc_account_manager_interface_sso_get_service_accounts_impl impl);
/**
 * mc_svc_account_manager_interface_sso_return_from_get_service_accounts:
 * @context: The D-Bus method invocation context
 * @out_Accounts: const GPtrArray * (FIXME, generate documentation)
 *
 * Return successfully by calling dbus_g_method_return().
 * This inline function exists only to provide type-safety.
 */
static inline
/* this comment is to stop gtkdoc realising this is static */
void mc_svc_account_manager_interface_sso_return_from_get_service_accounts (DBusGMethodInvocation *context,
    const GPtrArray *out_Accounts);
static inline void
mc_svc_account_manager_interface_sso_return_from_get_service_accounts (DBusGMethodInvocation *context,
    const GPtrArray *out_Accounts)
{
  dbus_g_method_return (context,
      out_Accounts);
}

typedef void (*mc_svc_account_manager_interface_sso_get_account_impl) (McSvcAccountManagerInterfaceSSO *self,
    guint in_ID,
    DBusGMethodInvocation *context);
void mc_svc_account_manager_interface_sso_implement_get_account (McSvcAccountManagerInterfaceSSOClass *klass, mc_svc_account_manager_interface_sso_get_account_impl impl);
/**
 * mc_svc_account_manager_interface_sso_return_from_get_account:
 * @context: The D-Bus method invocation context
 * @out_Account: const gchar * (FIXME, generate documentation)
 *
 * Return successfully by calling dbus_g_method_return().
 * This inline function exists only to provide type-safety.
 */
static inline
/* this comment is to stop gtkdoc realising this is static */
void mc_svc_account_manager_interface_sso_return_from_get_account (DBusGMethodInvocation *context,
    const gchar *out_Account);
static inline void
mc_svc_account_manager_interface_sso_return_from_get_account (DBusGMethodInvocation *context,
    const gchar *out_Account)
{
  dbus_g_method_return (context,
      out_Account);
}



G_END_DECLS
